/* =============================================
   Hero Section — Main Page — Base
   ============================================= */

.hero {
    padding: 0;
    overflow: hidden;
}

.hero-item {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    position: relative;
    overflow: hidden;
    padding-top: 64rem;
    padding-bottom: 80rem;
    width: 100%;
}

.hero-image {
    width: 100%;
    height: 100%;
    -o-object-fit: cover;
    object-fit: cover;
    -o-object-position: center;
    object-position: center;
}

.hero-title {
    position: relative;
    z-index: 1;
    font-size: 48rem;
    line-height: 1;
    letter-spacing: -0.03em;
    text-align: center;
    text-transform: uppercase;
    margin-bottom: 20rem;
}

.hero-description {
    position: relative;
    z-index: 1;
    font-size: 18rem;
    letter-spacing: -0.01em;
    text-align: center;
}

.hero-buttons {
    position: relative;
    z-index: 1;
    display: grid;
    grid-template-columns: repeat(2, 240rem);
    margin-top: auto;
    gap: 10rem;
}

/* =============================================
   Page Hero — Catalog Page — Base
   ============================================= */

.page-hero {
    position: relative;
    aspect-ratio: 1920/800;
}

.page-hero-content {
    position: relative;
    z-index: 1;
    background: rgba(0, 0, 0, .4);
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    color: #fff;
    height: 100%;
}

.page-hero-title {
    font-weight: 400;
    font-size: 48rem;
    letter-spacing: -0.03em;
    text-transform: uppercase;
    text-align: center;
}

/* =============================================
   @media (max-width: 1199.98px)
   ============================================= */

@media (max-width: 1199.98px) {
    .hero-description {
        text-shadow: 0 0 22px rgba(0, 0, 0, .15);
    }

    .page-hero {
        aspect-ratio: initial;
        height: 592rem;
        max-height: 100lvh;
    }

    .page-hero-title {
        font-size: min(36rem, 9.2307692308vw);
    }
}

/* =============================================
   @media (min-width: 769.98px)
   ============================================= */

@media (min-width: 769.98px) {
    .hero-item {
        color: #fff;
        aspect-ratio: 1920/1080;
        max-height: calc(100lvh - var(--header-height));
        min-height: 480rem;
    }
}

/* =============================================
   @media (max-width: 769.98px)
   ============================================= */

@media (max-width: 769.98px) {
    .hero + section {
        padding-top: 40rem;
    }

    .hero-item {
        padding: 20rem;
        padding-bottom: 40rem;
        background: rgba(var(--primary-rgb), 2.5%);
    }

    .hero-image-container {
        z-index: 2;
        position: relative;
        width: calc(100% + 40rem);
        margin-left: -20rem;
        aspect-ratio: 390/220;
        align-self: start;
        margin-top: 35rem;
        margin-bottom: 35rem;
    }

    .hero-title {
        font-size: 36rem;
        text-shadow: none;
    }

    .hero-description {
        font-size: 16rem;
        text-shadow: none;
    }
}

/* =============================================
   @media (max-width: 609.98px)
   ============================================= */

@media (max-width: 609.98px) {
    .hero-description br {
        display: none;
    }

    .hero-buttons {
        grid-template-columns: repeat(2, 170rem);
    }
}

/* =============================================
   @media (max-width: 449.98px)
   ============================================= */

@media (max-width: 449.98px) {
    .hero-buttons {
        grid-template-columns: repeat(2, 1fr);
        width: 100%;
    }
}
